import vimet.*;
import java.awt.Container;
import java.awt.GraphicsConfiguration;
import java.awt.GraphicsEnvironment;
import java.awt.GraphicsDevice;
import javax.media.j3d.*;
import javax.swing.JFrame;
import vimet.object.Object3D;
import wizard.Wizard;
import util.ObjectTypeEnum;
import util.FileTypeEnum;
import javax.vecmath.*;
public class TestMF extends Environment{
//atributos 
// - Lista de objetos no universo
private Object3D organs[];
private Object3D instrument;
private static Keyboard keyboard = null;
public TestMF(Canvas3D c) {
	super(c, false, " Clara ", " Direcional Refletora ");
try {
Transform3D transform;
//Instanciacao dos atributos
// - Instanciacao dos objetos
organs = new Object3D[1];
organs [0] = Wizard.loadObject("C:\\Users\\rosy\\Documents\\Desenvolvimento\\ViMeT_2.0\\ViMeT-2.0.2\\objects\\organs\\mama.off", ObjectTypeEnum.ORGAN, FileTypeEnum.MF );
transform = new Transform3D();
transform.setScale(new Vector3d(0.5, 0.5, 0.5)); 
transform.setTranslation(new Vector3d(0.0, 0.0, 0.0)); 
transform.setRotation(new AxisAngle4d(0.0, 0.0, 0.0, 0.0)); 
organs [0].setTransformGroup(new TransformGroup(transform));
instrument = Wizard.loadObject("C:\\Users\\rosy\\Documents\\Desenvolvimento\\ViMeT_2.0\\ViMeT-2.0.2\\objects\\instruments\\seringaPronta.off", ObjectTypeEnum.INSTRUMENT, FileTypeEnum.MF );
transform = new Transform3D();
transform.setScale(new Vector3d(0.5, 0.5, 0.5)); 
transform.setTranslation(new Vector3d(-2.0, 0.0, 1.0)); 
transform.setRotation(new AxisAngle4d(0.0, 0.0, 0.0, 0.0)); 
instrument.setTransformGroup(new TransformGroup(transform));
//Adicao dos objetos no universo
this.add(organs[0]);
this.add(instrument);
TMouse mouse = new TMouse( instrument.getTransformGroupMotion(), super.myLocale);
 } catch (Exception e) {
e.printStackTrace();
}
}
	public static void main (String arg[]){
GraphicsConfigTemplate3D g3d = new GraphicsConfigTemplate3D();
GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
GraphicsDevice defaultScreen = ge.getDefaultScreenDevice();
GraphicsConfiguration gcn = defaultScreen.getBestConfiguration(g3d);
Canvas3D c = new Canvas3D(gcn);
		TestMF n = new TestMF(c);
JFrame frm = new JFrame("TestMF");
Container ct = frm.getContentPane();
c.addKeyListener(keyboard);
ct.add(c);
frm.setSize(1000,800);
frm.setVisible(true);
frm.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
}
}
