import vimet.*;
import java.awt.Container;
import java.awt.GraphicsConfiguration;
import java.awt.GraphicsEnvironment;
import java.awt.GraphicsDevice;
import javax.media.j3d.*;
import javax.swing.JFrame;
import vimet.object.Object3D;
import wizard.FunctionsClass;
import util.ObjectTypeEnum;
import Collision.*;
import deformation.*;
import util.FileTypeEnum;
import javax.vecmath.*;
public class Jun10_VariosOrg_Wiz2 extends Environment{
//atributos 
// - Lista de objetos no universo
private Object3D organs[];
private Object3D instrument;
private static Keyboard keyboard = null;
public Jun10_VariosOrg_Wiz2(Canvas3D c) {
	super(c, false, " Negra ", " Direcional ");
try {
Transform3D transform;
//Instanciacao dos atributos
// - Instanciacao dos objetos
organs = new Object3D[2];
organs [0] = FunctionsClass.loadObject("./objects/organs/mama2537.off", ObjectTypeEnum.ORGAN, FileTypeEnum.MF );
organs [0].setApplyIlumination(true);
transform = new Transform3D();
transform.setScale(new Vector3d(0.013, 0.013, 0.013)); 
transform.setTranslation(new Vector3d(0.0, 0.0, 0.0)); 
transform.setRotation(new AxisAngle4d(0.0, 0.0, 0.0, 0.0)); 
organs [0].setTransformGroup(new TransformGroup(transform));
organs [1] = FunctionsClass.loadObject("./objects/organs/mama.obj", ObjectTypeEnum.INTERNAL, FileTypeEnum.OBJ );
organs [1].setApplyIlumination(true);
transform = new Transform3D();
transform.setScale(new Vector3d(0.33, 0.33, 0.33)); 
transform.setTranslation(new Vector3d(0.0, 0.1, 0.0)); 
transform.setRotation(new AxisAngle4d(0.0, 0.0, 0.0, 0.0)); 
organs [1].setTransformGroup(new TransformGroup(transform));
instrument = FunctionsClass.loadObject("./objects/instruments/seringa.obj", ObjectTypeEnum.INSTRUMENT, FileTypeEnum.OBJ );
transform = new Transform3D();
transform.setScale(new Vector3d(0.41, 0.41, 0.41)); 
transform.setTranslation(new Vector3d(-0.6, 0.0, 0.0)); 
transform.setRotation(new AxisAngle4d(0.0, 0.0, 0.0, 0.0)); 
instrument.setTransformGroup(new TransformGroup(transform));
		BranchGroup bgTemp = new BranchGroup();
		super.myLocale.addBranchGraph(bgTemp);
//Adicao dos objetos no universo
this.add(organs[0]);
this.add(organs[1]);
this.add(instrument);
TMouse mouse = new TMouse( instrument.getTransformGroup(), super.myLocale);
 } catch (Exception e) {
e.printStackTrace();
}
}
	public static void main (String arg[]){
GraphicsConfigTemplate3D g3d = new GraphicsConfigTemplate3D();
GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
GraphicsDevice defaultScreen = ge.getDefaultScreenDevice();
GraphicsConfiguration gcn = defaultScreen.getBestConfiguration(g3d);
Canvas3D c = new Canvas3D(gcn);
		Jun10_VariosOrg_Wiz2 n = new Jun10_VariosOrg_Wiz2(c);
JFrame frm = new JFrame("Jun10_VariosOrg_Wiz2");
Container ct = frm.getContentPane();
c.addKeyListener(keyboard);
ct.add(c);
frm.setSize(1000,800);
frm.setVisible(true);
frm.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
}
}
